/deals/{id}
Update an existing deal
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | required | integer | The Deal’s id |
application/json
DealUpdateExistingDealRequest
200
400
PUT /deals/{id}
/deals/{id}/notes
Create a new note for a deal
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | required | string | The Deal’s id to assign new note to |
application/json
DealCreateNoteRequest
201
POST /deals/{id}/notes
/deals/{id}/notes/{noteId}
Update an existing note for a deal
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | required | string | Deal’s id to assign new note to |
| noteId | path | required | string | Deal note’s id to update |
application/json
DealUpdateNoteRequest
200
PUT /deals/{id}/notes/{noteId}
/contacts/{contactId}/trackingLogs
Get a log of events for a Contact
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| contactId | path | required | string | The Contact’s ID |
200
GET /contacts/{contactId}/trackingLogs
/event
Track an event using event tracking. Event Tracking must be toggled on in your ActiveCampaign account on “Website” -> “Site Tracking” (scroll down to Event tracking) in order for this call to work.
application/json
EventTrackEventRequest
200
400
POST /event
/eventTracking
Get event tracking status (enabled or disabled)
200
GET /eventTracking
/eventTracking
Enable or disable event tracking
application/json
EventToggleStatusRequest
200
400
PUT /eventTracking
/eventTrackingEvents
Create a new event tracking event (name only)
application/json
EventCreateNewEventRequest
201
POST /eventTrackingEvents
/eventTrackingEvents/{eventName}
Remove an existing event tracking event (name only)
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| eventName | path | required | string | Name of event to delete. Spaces in names are allowed, but must be encoded (for example, “my%20event”). |
200
400
DELETE /eventTrackingEvents/{eventName}
/trackingLogs/{eventId}/contact
Get the contact that was involved in an event.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| eventId | path | required | string | The Event’s ID |
200
GET /trackingLogs/{eventId}/contact
/accountCustomFieldData
application/json
FieldCreateCustomFieldValueRequest
| Property | Type | Required |
|---|---|---|
| accountCustomFieldDatum | object | optional |
| └ fieldValue | string | required |
| └ customFieldId | integer | required |
| └ fieldCurrency | string | optional |
| └ customerAccountId | integer | required |
200
POST /accountCustomFieldData
/accountCustomFieldData/bulkCreate
application/json
FieldBulkCreateCustomAccountFieldValueRequest
| Property | Type | Required |
|---|---|---|
| array | object | optional |
| └ fieldValue | string | required |
| └ customFieldId | integer | required |
| └ fieldCurrency | string | optional |
| └ customerAccountId | integer | required |
200
POST /accountCustomFieldData/bulkCreate
/accountCustomFieldData/bulkUpdate
application/json
FieldBulkUpdateCustomFieldValueRequest
| Property | Type | Required |
|---|---|---|
| array | object | optional |
| └ id | integer | required |
| └ fieldValue | string | required |
| └ fieldCurrency | string | optional |
200
PATCH /accountCustomFieldData/bulkUpdate
/accountCustomFieldData/{id}
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | required | integer | ID of the dealCustomFieldData to retrieve |
200
404
DELETE /accountCustomFieldData/{id}
/accountCustomFieldData/{id}
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | required | integer | ID of the dealCustomFieldData to retrieve |
200
404
GET /accountCustomFieldData/{id}
/accountCustomFieldData/{id}
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | required | integer | ID of the custom fields value to update |
application/json
FieldUpdateCustomFieldValueRequest
| Property | Type | Required |
|---|---|---|
| accountCustomFieldDatum | object | optional |
| └ fieldValue | string | optional |
| └ fieldCurrency | string | optional |
200
404
PUT /accountCustomFieldData/{id}
/accountCustomFieldMeta
application/json
FieldCreateCustomFieldMetaRequest
| Property | Type | Required |
|---|---|---|
| accountCustomFieldMetum | object | optional |
| └ fieldType | string | required |
| └ fieldLabel | string | required |
| └ displayOrder | integer | optional |
| └ fieldDefault | string | optional |
| └ fieldOptions | array | optional |
| └ isFormVisible | boolean | optional |
| └ fieldDefaultCurrency | string | optional |
200
422
POST /accountCustomFieldMeta
/accountCustomFieldMeta/{id}
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | required | integer | ID of the field to delete |
200
404
DELETE /accountCustomFieldMeta/{id}
/accountCustomFieldMeta/{id}
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | required | integer | ID of the field to retrieve |
200
404
GET /accountCustomFieldMeta/{id}
/accountCustomFieldMeta/{id}
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | required | integer | ID of the custom field to update |
application/json
FieldUpdateCustomFieldMetaRequest
| Property | Type | Required |
|---|---|---|
| accountCustomFieldMetum | object | optional |
| └ fieldLabel | string | optional |
| └ displayOrder | integer | optional |
| └ fieldDefault | string | optional |
| └ fieldOptions | array | optional |
| └ isFormVisible | boolean | optional |
200
404
PUT /accountCustomFieldMeta/{id}
/contacts/{id}/fieldValues
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | required | integer | ID of the contact |
200
404
GET /contacts/{id}/fieldValues
/customObjects/schemas/{schemaId}/fields/{fieldId}
Deleting a schema field is an irreversible process.
Assuming a valid 202 Accepted response is received, any associated field data on associated records will immediately be unavailable to the user. There may be a small delay if record requests are in the midst of processing when the field delete request is issued.
The deleted field id will not be immediately recycled for reuse. Users are encouraged to leverage the ?showFields=all query parameter when programmatically creating new schema fields, to ensure field id uniqueness. Fields that have been deleted will contain a status: marked_for_deletion attribute.
The field delete operation is only permitted for admin users.
Field deletion is not permitted on public or child schemas (private schemas only).
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| schemaId | path | required | string | Schema ID of the field to be deleted |
| fieldId | path | required | string | Field ID of the field to be deleted |
| showFields | query | optional | string | Toggle which fields are shown in the response body of a schema (if there hidden due to e.g. recently being deleted). Omit this parameter entirely to hide fields by default. |
202
DELETE /customObjects/schemas/{schemaId}/fields/{fieldId}
/fieldOption/bulk
application/json
FieldCreateCustomFieldOptionsRequest
201
422
POST /fieldOption/bulk
/fieldValues
application/json
FieldCreateCustomValueRequest
200
403
POST /fieldValues
/fieldValues/{id}
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | required | integer | ID of the fieldValue to delete |
200
403
DELETE /fieldValues/{id}
/fieldValues/{id}
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | required | string | ID of the fieldValue to retrieve |
200
403
GET /fieldValues/{id}
/fieldValues/{id}
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | required | string | ID of the fieldValue to update |
application/json
FieldUpdateCustomValueRequest
200
400
PUT /fieldValues/{id}
/fields
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| limit | query | optional | integer | The number of fields returned per request. |
200
GET /fields
/fields
application/json
FieldCreateCustomFieldRequest
201
403
422
POST /fields
/fields/{id}
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | required | integer | ID of the field option to delete |
200
404
DELETE /fields/{id}
/fields/{id}
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | required | integer | ID of the field to retrieve |
200
400
GET /fields/{id}
/fields/{id}
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | required | integer | ID of the field to update |
application/json
FieldUpdateCustomFieldRequest
200
403
PUT /fields/{id}
/groupMembers
application/json
FieldAddGroupMemberRequest
200
403
404
422
POST /groupMembers
/groupMembers/{groupID}
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| groupID | path | required | string | Group ID |
application/json
FieldDeleteFieldGroupRequest
200
404
DELETE /groupMembers/{groupID}
/groupMembers/{groupID} (COPY)
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| groupID | path | required | string | Group ID |
application/json
FieldGetFieldGroupRequest
200
404
GET /groupMembers/{groupID} (COPY)
/groupMembers/{groupId}
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| groupId | path | required | string | Field group ID (see notes) |
application/json
FieldUpdateCustomFieldGroupRequest
200
403
404
422
PUT /groupMembers/{groupId}
/forms
200
400
GET /forms
/forms/{id}
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | required | string | ID of the form to retrieve |
200
403
GET /forms/{id}
/groups
application/json
GroupCreateNewGroupRequest
200
POST /groups
/groups/{id}
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | required | integer | ID of the group to be deleted |
200
400
DELETE /groups/{id}
/groups/{id}
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | required | string | ID of the group to retrieve |
200
403
GET /groups/{id}
/groups/{id}
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | required | integer | ID of the group to update |
application/json
GroupUpdateGroupByIdRequest
200
403
PUT /groups/{id}
/import/info
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| batchId | query | optional | string | — |
200
400
GET /import/info
/accountContacts
Retrieve all existing account association
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| filters[contact] | query | optional | integer | Filter by Contact ID |
| filters[account] | query | optional | integer | Filter by Account ID |
200
GET /accountContacts
/accountCustomFieldData
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| filters[customerAccountId] | query | optional | string | Filter results by a specific account (note that Id uses a capital I) |
200
GET /accountCustomFieldData
/accountCustomFieldMeta
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| limit | query | optional | integer | The number of fields returned per request. |
200
GET /accountCustomFieldMeta
/accounts
Retrieve all existing account
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| search | query | optional | string | Search by name |
| count_deals | query | optional | boolean | Whether to compute the contactCount and dealCount counts for the number of contacts/deals associated with each account. Set it to true to include the right counts. If set to false or omitted from the call, then contactCount and dealCount will not be counted and be simply displayed as 0. |
200
400
GET /accounts
/activities
View a contact’s recent activity. The activity is generated when a contact is retrieved via /api/3/contacts/[contactID]. This endpoint should be used after retrieving a contact to obtain the latest data. This is useful for searching for contacts that match certain criteria - such as being part of a certain list, or having a specific custom field value.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| contact | query | optional | integer | Required Contact ID |
| after | query | optional | string | Filter for activities after a specific DateTime |
| include | query | optional | string | Activities to include: notes, notes.user, recipients, recipients.recipient, reference, reference.automation, reference.campaign, reference.campaign.campaignList, reference.campaign.campaignMessage, reference.campaignMessage, reference.contact, reference.contactList, reference.contactList.list, reference.deal, reference.deal.contact, reference.dealTasktype, reference.link, reference.list, reference.log, reference.log.campaign, reference.log.contact, reference.log.message, reference.message, reference.note, reference.sms, reference.sms.automation, user |
| emails | query | optional | boolean | — |
| orders[tstamp] | query | optional | string | Order activities by tstamp |
200
400
GET /activities
/addressLists/{id}
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| id | path | required | integer | ID of the AddressList to delete |
200
404
DELETE /addressLists/{id}
/addresses
200
400
GET /addresses